Bug 21961 - Problem sending large PDF file with Apache 1.3.14
Problem sending large PDF file with Apache 1.3.14
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: apache (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Dale Lovelace
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-08 15:48 EST by Need Real Name
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-16 11:05:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-12-08 15:48:09 EST
This error has been consistently produced on two different servers:
1.: Linux ronja.tpv.dk 2.2.16-22 #1 Tue Aug 22 16:16:55 EDT 2000 i586 
unknown, Running RedHat Linux 7.0
2.: Linux dyrup.dsa-net.dk 2.2.17 #1 SMP Tue Sep 5 10:33:49 CEST 2000 i686 
unknown, Running RedHat Linux 6.2
On both computers Apache where installed with standard RedHat RPM's

Nothing out of the ordinary GETs are logged or shown. Apache simply fails 
to send the entire .pdf file. The file are 1.9MB in size, and only about 
the first and a half page are shown - if the "client" will scroll down 
further the browser (IE 5.0) freezes. Downgrading Apache to 1.3.12 fixes 
the problem - upgrading to 1.3.14 makes the problem come back.

The .pdf can be found at http://www.dsa-
net.dk/velkommen/dsanyt/nov2000.pdf (It's in danish - don't bother reading 
it!) :-)
Comment 1 Nalin Dahyabhai 2001-01-15 22:41:35 EST
Apache 1.3.14-7 from Raw Hide successfully sends a 3517920-byte .pdf file. 
Could you check if this problem is reproducible on that version?  Alternatively,
are there any useful messages in /var/log/httpd/error_log?
Comment 2 Need Real Name 2001-01-16 11:05:39 EST
I later discovered that it is a known Apache bug.

See: http://bugs.apache.org/index.cgi/full/6711
Comment 3 Nalin Dahyabhai 2001-01-16 11:21:46 EST
I'm going to defer this bug until some kind of fix it hits the mainline server
tree in order to avoid duplication of efforts.  When 1.3.15 is released, it will
be in Raw Hide and likely a subsequent release.

Note You need to log in before you can comment on or make changes to this bug.